Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1292)
@@ -1,71 +1,70 @@
-<metal:html tal:define="info_acco context/getAccommodationInfo;
-                        info_app  context/getApplicationInfo">
-
-<span tal:condition="not: info_acco">
-  <span tal:content="here/illegal_view" />
-</span>
-<metal:block tal:condition="info_acco"> 
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <h3>Hostel Allocation Slip (and Maintenance Receipt)</h3>
-      <br />
-       
-      <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
-
-        <tr tal:condition="python: 'passport' in info_acco['student'].application.getContent().objectIds()">
-          <td colspan="2"><img tal:attributes="src string:${here/portal_url}/campus/students/${info_acco/id}/application/passport"/>
-          </td>
-        </tr>   
-      
-        <tr>
-          <td width="180px">Student ID:</td> 
-          <td><span tal:content="info_acco/id" /></td>
-        </tr>
-        <tr tal:condition="info_acco/matric_no">
-          <td>Matriculation Number:</td> 
-          <td><span tal:content="info_acco/matric_no" /></td>
-        </tr>      
-        <tr>
-          <td>JAMB Registration Number:</td> 
-          <td><span tal:content="info_acco/jamb_reg_no" /></td>
-        </tr>             
-        <tr>
-          <td>Student Name:</td> 
-          <td><span tal:content="info_acco/name" /></td>
-        </tr>    
-        <tr>
-          <td>Sex:</td> 
-          <td><span tal:content="info_acco/sex" /></td>
-        </tr>      
-        <tr>
-          <td>Level:</td> 
-          <td><span tal:content="info_acco/level" /></td>
-        </tr>             
-        <tr>
-          <td>Bed Category:</td> 
-          <td><span tal:content="info_acco/student_status" /></td>
-        </tr>            
-        <tr tal:condition="info_acco/email">
-          <td>Email:</td> 
-          <td><span tal:content="info_acco/email" /></td>
-        </tr>      
-        <tr tal:condition="not:info_acco/email">
-          <td>Email:</td> 
-          <td><span tal:content="info_app/app_doc/app_email" /></td>
-        </tr>  
-        <tr tal:condition="info_app/app_doc/app_mobile">
-          <td>Mobile Phone Number:</td> 
-          <td><span tal:content="info_app/app_doc/app_mobile" /></td>
-        </tr>          
-                         
-      </table>
-      
-      <span tal:omit-tag=""
-            tal:content="structure python: info_acco['acco_doc'].render(proxy=info_acco['acco_doc'],
-            layout_mode='view_slip', 
-            layout_id='student_accommodation_fe')" 
-            />
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info_acco context/getAccommodationInfo;
+                            info_app  context/getApplicationInfo">
+      <span tal:condition="not: info_acco">
+            <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>   
+      <span tal:condition="info_acco">                    
+          <h3>Hostel Allocation Slip (and Maintenance Receipt)</h3>
+          <br />
+          - updated database -
+          <br /><br />
+           
+          <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+    
+            <tr tal:condition="python: 'passport' in info_acco['student'].application.getContent().objectIds()">
+              <td colspan="2"><img tal:attributes="src string:${here/portal_url}/campus/students/${info_acco/id}/application/passport"/>
+              </td>
+            </tr>   
+            <tr>
+              <td width="180px">Student ID:</td> 
+              <td><span tal:content="info_acco/id" /></td>
+            </tr>
+            <tr tal:condition="info_acco/matric_no">
+              <td>Matriculation Number:</td> 
+              <td><span tal:content="info_acco/matric_no" /></td>
+            </tr>      
+            <tr>
+              <td>JAMB Registration Number:</td> 
+              <td><span tal:content="info_acco/jamb_reg_no" /></td>
+            </tr>             
+            <tr>
+              <td>Student Name:</td> 
+              <td><span tal:content="info_acco/name" /></td>
+            </tr>    
+            <tr>
+              <td>Sex:</td> 
+              <td><span tal:content="info_acco/sex" /></td>
+            </tr>      
+            <tr>
+              <td>Level:</td> 
+              <td><span tal:content="info_acco/level" /></td>
+            </tr>             
+            <tr>
+              <td>Bed Category:</td> 
+              <td><span tal:content="info_acco/student_status" /></td>
+            </tr>            
+            <tr tal:condition="info_acco/email">
+              <td>Email:</td> 
+              <td><span tal:content="info_acco/email" /></td>
+            </tr>      
+            <tr tal:condition="not:info_acco/email">
+              <td>Email:</td> 
+              <td><span tal:content="info_app/app_doc/app_email" /></td>
+            </tr>  
+            <tr tal:condition="info_app/app_doc/app_mobile">
+              <td>Mobile Phone Number:</td> 
+              <td><span tal:content="info_app/app_doc/app_mobile" /></td>
+            </tr>          
+                             
+          </table>
+          
+          <span tal:omit-tag=""
+                tal:content="structure python: info_acco['acco_doc'].render(proxy=info_acco['acco_doc'],
+                layout_mode='view_slip', 
+                layout_id='student_accommodation_fe')" 
+                />
+      </span>      
     </metal:main>
-  </metal:body>
-</metal:block>  
-</metal:html>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1292)
@@ -1,9 +1,5 @@
-<metal:html tal:define="info context/getApplicationInfo">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-  <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getApplicationInfo">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
@@ -21,5 +17,5 @@
       </span>
     </metal:main>
-  </metal:body>
-  </metal:block>    
-</metal:html>
+</metal:body>
+    
+
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1292)
@@ -1,9 +1,5 @@
-<metal:html tal:define="info context/getApplicationInfo">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-  <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/waeup_content_master/macros/master">
+   <metal:main fill-slot="main"
+                 tal:define="info context/getApplicationInfo">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
@@ -30,6 +26,4 @@
               />
       </span>
-    </metal:main>
-  </metal:body>
-  </metal:block>
-</metal:html>
+   </metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1292)
@@ -1,5 +1,5 @@
-<metal:html tal:define="pume python:context.portal_pumeresults(jamb_reg_no=request.get('nr'))[0]">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="pume python:context.portal_pumeresults(jamb_reg_no=request.get('nr'))[0]">
     
     
@@ -43,7 +43,5 @@
       </table>
       
-      
-      
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1292)
@@ -1,8 +1,8 @@
-<metal:html tal:define="pume options/pume;
-                      result_type pume/result_type|string:PU">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                 tal:define="pume options/pume;
+                      result_type pume/result_type">
 
-        <span tal:condition="python:result_type =='PU'">        
+        <span tal:condition="python:result_type !='DE'">        
         <div style="text-align: right">
         <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
@@ -59,4 +59,4 @@
       </table>
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1292)
@@ -1,9 +1,5 @@
-<metal:html tal:define="info context/getPersonalInfo">
-  <span tal:condition="not: info">
-    <span tal:content="here/illegal_view" />
-  </span>
-  <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getPersonalInfo">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
@@ -20,5 +16,3 @@
       </span>
     </metal:main>
-  </metal:body>
-  </metal:block>
-</metal:html>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 1292)
@@ -61,4 +61,5 @@
         psm = "Error in Data, unable to reserve bed."
     return context.accommodation_pin_edit_form(rendered = res,
+                                 psm = psm,
                                  #psm = "%s, %s" % (psm,ds),
                                  mode = mode,
@@ -103,2 +104,3 @@
 wftool.doActionFor(acco,'pay_maintenance_fee',dest_container=acco)
 return context.REQUEST.RESPONSE.redirect("%s/accommodation_view" % student.absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1292)
@@ -1,8 +1,7 @@
-<metal:html tal:define="student options/student;
-            results options/results;
-            registered options/registered"
-            >
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="student options/student;
+                            results options/results;
+                            registered options/registered">
       <h3>Session Results of <span tal:content="student/Firstname" />
         <span tal:content="student/Middlename" />
@@ -76,4 +75,4 @@
       </form>
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_slip.pt	(revision 1292)
@@ -1,5 +1,5 @@
-<metal:html tal:define="info context/getSessionResults">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getSessionResults">
       <div tal:condition="nothing" style="text-align: right">
         <a href="" target="slip" tal:attributes="href string:session_results_slip?nr=${info/student/matric_no}"
@@ -75,4 +75,4 @@
 
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_view.pt	(revision 1292)
@@ -1,5 +1,5 @@
-<metal:html tal:define="info context/getSessionResults">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getSessionResults">
       <div style="text-align: right">
         <a href="" target="slip" tal:attributes="href string:session_results_slip"
@@ -82,5 +82,5 @@
       </form>
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
+
              
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1292)
@@ -1,8 +1,4 @@
-                      
-  <metal:body use-macro="here/main_template/macros/master">
-
-
-    <metal:main fill-slot="main">
-
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main">
   <metal:block tal:define="departments context/getNewStudentStatistics;
                         mtool here/portal_membership;
@@ -69,7 +65,6 @@
       </span>
       </span>
-</metal:block>      
-    </metal:main>
-
-  </metal:body>
+  </metal:block>      
+  </metal:main>
+</metal:body>
       
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1289)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1292)
@@ -1,6 +1,3 @@
-                      
-  <metal:body use-macro="here/main_template/macros/master">
-
-
+<metal:body use-macro="here/main_template/macros/master">
   <metal:main fill-slot="main">
   <metal:block tal:define="departments context/getRetStudentStatistics;
@@ -37,5 +34,4 @@
   </metal:block>      
   </metal:main>
-
-  </metal:body>
+</metal:body>
       