Index: WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1316)
+++ WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1317)
@@ -19,4 +19,5 @@
 returning = context.returning_import
 results = context.results_import
+scatalog = context.students_catalog
 
 mtool = context.portal_membership
@@ -48,7 +49,10 @@
 ##    return None
 
-res = returning(matric_no = value)
+res = scatalog(id = student_id)
+matric_no = res[0].matric_no
+
+res = returning(matric_no = matric_no)
 student = res[0]
-res = results(matric_no = value)
+res = results(matric_no = matric_no)
 results = res
 
Index: WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1316)
+++ WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1317)
@@ -47,5 +47,5 @@
 info['student'] = context.getFormattedStudentEntry(sbrain)
 info['entry_mode'] = sbrain.entry_mode
-results = context.results_import(matric_no=matric_no)
+results = context.results_import(matric_no=sbrain.matric_no)
 taken = []
 if len(results) > 0:
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1317)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1317)
@@ -0,0 +1,66 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+    <h3><center>INTER-FACULTY TRANSFER, 2006/2007 SESSION</center></h3>
+    <h3><center>- APPLICATION FORM -</center></h3>
+    <br />
+    <strong>NOTE:</strong> INTER-FACULTY TRANSFER IS A PRIVILEGE, AND NOT A RIGHT.
+    STUDENTS WHO HAVE PREVIOUSLY TRANSFERRED FROM ANOTHER DEPARTMENT OR FACULTY/SCHOOL ARE NOT ELIGIBLE FOR TRANSFERS.
+    <br /><br />
+    <strong>SECTION A:</strong>	TO BE COMPLETED BY STUDENT IN TRIPLICATE AND SUBMITTED TO THE STUDENT'S PRESENT DEAN.
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    <tr><td width="10px">1.</td><td width="210px">Name of Student:</td><td tal:content="info/student/name" /></tr>
+    <tr><td>2.</td><td>Mode of Entry:</td><td tal:content="info/student/entry_mode" /></tr>
+    <tr><td>&nbsp;</td><td>UME (Indicate Scores):</td><td>&nbsp;</td></tr>
+    <tr><td>&nbsp;</td><td>Direct Entry (Indicate Grades):</td><td>&nbsp;</td></tr>
+    <tr><td>3.</td><td>Matriculation No:</td><td tal:content="info/student/matric_no" /></tr>
+    <tr><td>4.</td><td>a) Present Faculty/School:</td><td tal:content="info/student/faculty" /></tr>
+    <tr><td>&nbsp;</td><td>b) Present Department (if applicable):</td><td tal:content="info/student/department" /></tr>        
+    <tr><td>5.</td><td>Present Level:</td><td tal:content="info/student/level" /></tr> 
+    <tr><td valign="top">6.</td><td valign="top">Courses Taken Last Session:</td>
+        <td> <span tal:repeat="course info/taken"> <span tal:content="course/CosCode" />, </span>
+        </td>
+    </tr> 
+    <tr><td>7.</td><td>Proposed Faculty/School:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td></td><td>Department:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td>8.</td><td>Reason(s) for Transfer:</td><td></td></tr> 
+    <tr><td></td><td>(a) Personal Wish</td><td valign="top">( )</td></tr> 
+    <tr><td></td><td width="210px">(b) Advised to Withdraw from Faculty/School </td><td valign="top">( )</td></tr> 
+    <tr><td valign="top">9.</td><td width="210px">Have you previously transferred from any other Faculty/School or Department?</td><td valign="top">YES / NO</td></tr>                             
+    </table>
+    
+    <br /><br /><br /><br />
+    <table width=100%>
+    <tr >
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black"> Date</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Signature of Student</td>
+    </tr>
+    </table>    
+ 
+    <br /><br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_2">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 2/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_3">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 3/3"
+             name="submit" />
+    </form>    
+
+    
+    
+  </metal:main>
+</metal:body>
+