Index: WAeUP_Doc/MindMaps/InternalWorkshop.mm
===================================================================
--- WAeUP_Doc/MindMaps/InternalWorkshop.mm	(revision 1323)
+++ WAeUP_Doc/MindMaps/InternalWorkshop.mm	(revision 1323)
@@ -0,0 +1,29 @@
+<map version="0.9.0_Beta_8">
+<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
+<node CREATED="1169208720506" ID="Freemind_Link_402801743" MODIFIED="1169208758864" TEXT="Internal Workshop">
+<node CREATED="1169208761755" ID="_" MODIFIED="1169208768871" POSITION="right" TEXT="Date">
+<node CREATED="1169208807054" ID="Freemind_Link_67789820" MODIFIED="1169208820200" TEXT="22.1.07"/>
+</node>
+<node CREATED="1169208771267" ID="Freemind_Link_1788077604" MODIFIED="1169208785035" POSITION="right" TEXT="Location">
+<node CREATED="1169208824603" ID="Freemind_Link_300683802" MODIFIED="1169208855148" TEXT="Aldenhoven, H&#xfc;sgenstr. 33a"/>
+</node>
+<node CREATED="1169208788890" FOLDED="true" ID="Freemind_Link_619198703" MODIFIED="1169208994820" POSITION="right" TEXT="Participants">
+<node CREATED="1169208859056" ID="Freemind_Link_154801236" MODIFIED="1169208869701" TEXT="Henrik Bettermann"/>
+<node CREATED="1169208881345" ID="Freemind_Link_791638612" MODIFIED="1169208894033" TEXT="Uli Fouque"/>
+<node CREATED="1169208904077" ID="Freemind_Link_36155085" MODIFIED="1169208915292" TEXT="Toni M&#xfc;ller"/>
+<node CREATED="1169208894925" ID="Freemind_Link_1852482863" MODIFIED="1169208903324" TEXT="Lennart Regebro"/>
+<node CREATED="1169208870459" ID="Freemind_Link_1686675289" MODIFIED="1169208880543" TEXT="Joachim Schmitz"/>
+</node>
+<node CREATED="1169208800011" ID="Freemind_Link_37316838" MODIFIED="1169209003544" POSITION="right" TEXT="Agenda">
+<node CREATED="1169209005807" ID="Freemind_Link_1791564216" MODIFIED="1169209038295" TEXT="Lennart"/>
+<node CREATED="1169209039051" ID="Freemind_Link_1331278109" MODIFIED="1169209061819" TEXT="WAeUP_SRP">
+<node CREATED="1169209088377" ID="Freemind_Link_819356675" MODIFIED="1169209101951" TEXT="WAeUPTables"/>
+<node CREATED="1169209108130" ID="Freemind_Link_1838296817" MODIFIED="1169209122580" TEXT="Unauthorized Acces"/>
+<node CREATED="1169209123290" ID="Freemind_Link_132678096" MODIFIED="1169209166772" TEXT="Split ZODB "/>
+<node CREATED="1169209168120" ID="Freemind_Link_342736895" MODIFIED="1169209168120" TEXT=""/>
+</node>
+<node CREATED="1169209063122" ID="Freemind_Link_1459316352" MODIFIED="1169209076578" TEXT="Workshop in Ghana"/>
+<node CREATED="1169209077607" ID="Freemind_Link_445415909" MODIFIED="1169209077607" TEXT=""/>
+</node>
+</node>
+</map>
Index: WAeUP_Doc/MindMaps/WAeUPWorkshopGhana.mm
===================================================================
--- WAeUP_Doc/MindMaps/WAeUPWorkshopGhana.mm	(revision 1323)
+++ WAeUP_Doc/MindMaps/WAeUPWorkshopGhana.mm	(revision 1323)
@@ -0,0 +1,22 @@
+<map version="0.9.0_Beta_8">
+<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
+<node CREATED="1169024343127" ID="Freemind_Link_1288280733" MODIFIED="1169024367233" TEXT="WAeUP Workshop Ghana">
+<node CREATED="1169024372413" ID="_" MODIFIED="1169029466597" POSITION="right" TEXT="Dates">
+<node CREATED="1169029532969" ID="Freemind_Link_518906933" MODIFIED="1169029559044" TEXT="25.2.07 - 11.3.07"/>
+</node>
+<node CREATED="1169029468218" ID="Freemind_Link_742822340" MODIFIED="1169029476025" POSITION="right" TEXT="Location">
+<node CREATED="1169029570572" ID="Freemind_Link_407111313" MODIFIED="1169029578471" TEXT="Ghana"/>
+</node>
+<node CREATED="1169029476962" ID="Freemind_Link_87487085" MODIFIED="1169029490008" POSITION="right" TEXT="Participants">
+<node CREATED="1169029597325" ID="Freemind_Link_900395956" MODIFIED="1169029619254" TEXT="University Benin"/>
+<node CREATED="1169029621968" FOLDED="true" ID="Freemind_Link_330980890" MODIFIED="1169029633595" TEXT="WAeUP Germany">
+<node CREATED="1169029637050" ID="Freemind_Link_1234116207" MODIFIED="1169029648635" TEXT="Henrik Bettermann"/>
+<node CREATED="1169029649573" ID="Freemind_Link_1344162118" MODIFIED="1169029656732" TEXT="Joachim Schmitz"/>
+<node CREATED="1169029657442" ID="Freemind_Link_289081774" MODIFIED="1169029798565" TEXT="Uli Fouquet"/>
+<node CREATED="1169029682048" ID="Freemind_Link_594800032" MODIFIED="1169029811318" TEXT="Lennart Regebro"/>
+</node>
+<node CREATED="1169029817997" ID="Freemind_Link_11489402" MODIFIED="1169029825321" TEXT="BT"/>
+<node CREATED="1169029828036" ID="Freemind_Link_81511090" MODIFIED="1169029828036" TEXT=""/>
+</node>
+</node>
+</map>