Index: /WAeUP_Doc/MindMaps/InternalWorkshop.mm
===================================================================
--- /WAeUP_Doc/MindMaps/InternalWorkshop.mm	(revision 1323)
+++ /WAeUP_Doc/MindMaps/InternalWorkshop.mm	(revision 1324)
@@ -1,14 +1,11 @@
-<map version="0.9.0_Beta_8">
+<map version="0.8.0">
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1169208720506" ID="Freemind_Link_402801743" MODIFIED="1169208758864" TEXT="Internal Workshop">
-<node CREATED="1169208761755" ID="_" MODIFIED="1169208768871" POSITION="right" TEXT="Date">
-<node CREATED="1169208807054" ID="Freemind_Link_67789820" MODIFIED="1169208820200" TEXT="22.1.07"/>
-</node>
 <node CREATED="1169208771267" ID="Freemind_Link_1788077604" MODIFIED="1169208785035" POSITION="right" TEXT="Location">
 <node CREATED="1169208824603" ID="Freemind_Link_300683802" MODIFIED="1169208855148" TEXT="Aldenhoven, H&#xfc;sgenstr. 33a"/>
 </node>
-<node CREATED="1169208788890" FOLDED="true" ID="Freemind_Link_619198703" MODIFIED="1169208994820" POSITION="right" TEXT="Participants">
+<node CREATED="1169208788890" HGAP="70" ID="Freemind_Link_619198703" MODIFIED="1169224059131" POSITION="right" TEXT="Participants" VSHIFT="-25">
 <node CREATED="1169208859056" ID="Freemind_Link_154801236" MODIFIED="1169208869701" TEXT="Henrik Bettermann"/>
-<node CREATED="1169208881345" ID="Freemind_Link_791638612" MODIFIED="1169208894033" TEXT="Uli Fouque"/>
+<node CREATED="1169208881345" ID="Freemind_Link_791638612" MODIFIED="1169222476906" TEXT="Uli Fouquet"/>
 <node CREATED="1169208904077" ID="Freemind_Link_36155085" MODIFIED="1169208915292" TEXT="Toni M&#xfc;ller"/>
 <node CREATED="1169208894925" ID="Freemind_Link_1852482863" MODIFIED="1169208903324" TEXT="Lennart Regebro"/>
@@ -16,13 +13,23 @@
 </node>
 <node CREATED="1169208800011" ID="Freemind_Link_37316838" MODIFIED="1169209003544" POSITION="right" TEXT="Agenda">
-<node CREATED="1169209005807" ID="Freemind_Link_1791564216" MODIFIED="1169209038295" TEXT="Lennart"/>
-<node CREATED="1169209039051" ID="Freemind_Link_1331278109" MODIFIED="1169209061819" TEXT="WAeUP_SRP">
+<node CREATED="1169209005807" HGAP="34" ID="Freemind_Link_1791564216" MODIFIED="1169224051690" TEXT="Lennart&apos;s Remuneration" VSHIFT="45"/>
+<node CREATED="1169209039051" HGAP="41" ID="Freemind_Link_1331278109" MODIFIED="1169223810614" TEXT="WAeUP_SRP" VSHIFT="29">
 <node CREATED="1169209088377" ID="Freemind_Link_819356675" MODIFIED="1169209101951" TEXT="WAeUPTables"/>
-<node CREATED="1169209108130" ID="Freemind_Link_1838296817" MODIFIED="1169209122580" TEXT="Unauthorized Acces"/>
+<node CREATED="1169209108130" ID="Freemind_Link_1838296817" MODIFIED="1169222651337" TEXT="Unauthorized Access"/>
 <node CREATED="1169209123290" ID="Freemind_Link_132678096" MODIFIED="1169209166772" TEXT="Split ZODB "/>
-<node CREATED="1169209168120" ID="Freemind_Link_342736895" MODIFIED="1169209168120" TEXT=""/>
+<node CREATED="1169209168120" ID="Freemind_Link_342736895" MODIFIED="1169222703702" TEXT="Password Tool"/>
+<node CREATED="1169223270457" ID="_" MODIFIED="1169223279660" TEXT="IE Peculiarities"/>
 </node>
-<node CREATED="1169209063122" ID="Freemind_Link_1459316352" MODIFIED="1169209076578" TEXT="Workshop in Ghana"/>
-<node CREATED="1169209077607" ID="Freemind_Link_445415909" MODIFIED="1169209077607" TEXT=""/>
+<node CREATED="1169209063122" HGAP="156" ID="Freemind_Link_1459316352" MODIFIED="1169224063657" TEXT="Workshop in Ghana" VSHIFT="-14">
+<node CREATED="1169223294582" ID="Freemind_Link_1178157219" MODIFIED="1169223320980" TEXT="General Introduction"/>
+<node CREATED="1169223307680" ID="Freemind_Link_1655774340" MODIFIED="1169223581484" TEXT="Demonstration of Features"/>
+<node CREATED="1169223993977" ID="Freemind_Link_322752796" MODIFIED="1169223998374" TEXT="Field Report"/>
+<node CREATED="1169223742886" ID="Freemind_Link_790734055" MODIFIED="1169223748815" TEXT="Data Import"/>
+<node CREATED="1169223373125" ID="Freemind_Link_1983323273" MODIFIED="1169223710990" TEXT="Troubleshooting Part 1 - End User"/>
+<node CREATED="1169223655981" ID="Freemind_Link_1724503367" MODIFIED="1169223721846" TEXT="Troubleshooting Part 2 - Administrators"/>
+<node CREATED="1169223830312" ID="Freemind_Link_1665447949" MODIFIED="1169223874736" TEXT="Troubleshooting Part 3 - Co-Developers"/>
+<node CREATED="1169223781592" ID="Freemind_Link_1799438355" MODIFIED="1169223900883" TEXT="Error Reporting"/>
+<node CREATED="1169223666607" ID="Freemind_Link_1814269183" MODIFIED="1169223685894" TEXT="System Set-up and Administration"/>
+</node>
 </node>
 </node>