Index: WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1328)
+++ WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1331)
@@ -39,4 +39,16 @@
 
 students_object = context.portal_url.getPortalObject().campus.students
+
+student = getattr(students_object,student_id)
+payments = getattr(student,'payments').objectIds()
+info['payed'] = False
+for payment in payments:
+    if payment.startswith('transfer'):
+        info['payed'] = True
+        payments_obj = getattr(student,'payments')
+        payment_obj = getattr(payments_obj,payment)
+        info['pin'] = payment_obj.getContent().order_id
+        break
+
 #student = getattr(students_object, student_id)
 res = context.students_catalog(id = student_id)
@@ -51,5 +63,5 @@
 if len(results) > 0:
     for r in results:
-        taken.append(r)
+        taken.append(r)	
 info['taken'] = taken
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1328)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1331)
@@ -3,6 +3,13 @@
               tal:define="info context/getTransferInfo">
 
+              
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>       
+    <span tal:condition="python: info['payed']">   
     <h3><center>INTER-FACULTY TRANSFER, 2006/2007 SESSION</center></h3>
     <h3><center>- APPLICATION FORM -</center></h3>
+    <br />
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
     <strong>NOTE:</strong> INTER-FACULTY TRANSFER IS A PRIVILEGE, AND NOT A RIGHT.
@@ -14,21 +21,21 @@
     
     <table border=0 width=100%>
-    <tr><td width="10px">1.</td><td width="210px">Name of Student:</td><td tal:content="info/student/name" /></tr>
-    <tr><td>2.</td><td>Mode of Entry:</td><td tal:content="info/student/entry_mode" /></tr>
-    <tr><td>&nbsp;</td><td>UME (Indicate Scores):</td><td>&nbsp;</td></tr>
-    <tr><td>&nbsp;</td><td>Direct Entry (Indicate Grades):</td><td>&nbsp;</td></tr>
-    <tr><td>3.</td><td>Matriculation No:</td><td tal:content="info/student/matric_no" /></tr>
-    <tr><td>4.</td><td>a) Present Faculty/School:</td><td tal:content="info/student/faculty" /></tr>
-    <tr><td>&nbsp;</td><td>b) Present Department (if applicable):</td><td tal:content="info/student/department" /></tr>        
-    <tr><td>5.</td><td>Present Level:</td><td tal:content="info/student/level" /></tr> 
+    <tr><td width="10px">1.</td><td width="240px">Name of Student:</td><td valign="top" tal:content="info/student/name" /></tr>
+    <tr><td valign="top">2.</td><td>Mode of Entry:</td><td valign="top" tal:content="info/student/entry_mode" /></tr>
+    <tr><td>&nbsp;</td><td>UME (Indicate Scores):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr>
+    <tr><td>&nbsp;</td><td>Direct Entry (Indicate Grades):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr>
+    <tr><td valign="top">3.</td><td>Matriculation No:</td><td valign="top" tal:content="info/student/matric_no" /></tr>
+    <tr><td valign="top">4.</td><td>a) Present Faculty/School:</td><td valign="bottom" tal:content="info/student/faculty" /></tr>
+    <tr><td>&nbsp;</td><td>b) Present Department (if applicable):</td><td valign="bottom" tal:content="info/student/department" /></tr>        
+    <tr><td valign="top">5.</td><td>Present Level:</td><td valign="top" tal:content="info/student/level" /></tr> 
     <tr><td valign="top">6.</td><td valign="top">Courses Taken Last Session:</td>
-        <td> <span tal:repeat="course info/taken"> <span tal:content="course/CosCode" />, </span>
+        <td> <span tal:repeat="course info/taken"> <span valign="top" tal:content="course/CosCode" />, </span>
         </td>
     </tr> 
-    <tr><td>7.</td><td>Proposed Faculty/School:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td valign="top">7.</td><td>Proposed Faculty/School:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
     <tr><td></td><td>Department:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
-    <tr><td>8.</td><td>Reason(s) for Transfer:</td><td></td></tr> 
-    <tr><td></td><td>(a) Personal Wish</td><td valign="top">( )</td></tr> 
-    <tr><td></td><td width="210px">(b) Advised to Withdraw from Faculty/School </td><td valign="top">( )</td></tr> 
+    <tr><td valign="top">8.</td><td>Reason(s) for Transfer (Tick)</td><td></td></tr> 
+    <tr><td></td><td>(a) Personal Wish:</td><td>( )</td></tr> 
+    <tr><td></td><td width="210px">(b) Advised to Withdraw from Faculty/School:</td><td>( )</td></tr> 
     <tr><td valign="top">9.</td><td width="210px">Have you previously transferred from any other Faculty/School or Department?</td><td valign="top">YES / NO</td></tr>                             
     </table>
@@ -60,5 +67,5 @@
     </form>    
 
-    
+    </span>   
     
   </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1331)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1331)
@@ -0,0 +1,124 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>                
+    <span tal:condition="python: info['payed']">                 
+
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
+    <br />
+    
+    <strong>SECTION B:</strong>	To be completed by the Dean of the Present Faculty/School in Consultation with the Head of Department (if applicable).
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    
+    <tr><td width="10px" valign="top">10.</td><td valign="top">
+         a) Enter Marks and other records for last Session: 2003/2004. (Please seek the assistance of the Faculty Examinations Officer)</td></tr>
+         
+    <tr><td>&nbsp;</td>
+    <td valign="top">
+    
+          <table border=0 width="100%">
+            <tr>
+              <td>First Semester Results</td><td>Second Semester Results</td>
+            </tr>
+            <tr>
+              <td>
+              <span tal:repeat="course info/taken"> <div valign="top" tal:condition="python:course['Semester']=='1'"> <span tal:content="course/CosCode" />: <span tal:content="course/GRADE" /></div></span>
+              </td>
+              <td>
+              <span tal:repeat="course info/taken"> <div valign="top" tal:condition="python:course['Semester']=='2'"> <span tal:content="course/CosCode" />: <span tal:content="course/GRADE" /></div></span>
+              </td>
+            </tr>
+          </table>
+    </td>
+    </tr>
+   
+    <tr><td width="10px" valign="top"></td><td valign="top">
+         b) Was the student advised to withdraw from the Faculty/School:&nbsp;&nbsp;&nbsp; YES / NO</td></tr>   
+
+    </table>
+
+    <br />
+  
+   
+    <table border=0 width=100%>
+    
+    <tr><td width="10px" valign="top">11.</td><td valign="top">
+         Comments on Academic Records, Character and Discipline:</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>          
+             
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">12.</td><td valign="top">
+         Pending Disciplinary Action, if any (give details):</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>        
+         
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">13.</td><td valign="top">
+         Are you willing to release this student?&nbsp;&nbsp;&nbsp;YES / NO</td></tr>
+         
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">14.</td><td valign="top">
+         Give reason(s):</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>        
+         
+    </table>    
+    
+    <br /><br />
+
+    <table width=100% border=0>
+    <tr>
+    <td width=40%>Date:</td>
+    <td></td>
+    <td width=40%>Date:</td>
+    </tr>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Head of Department's Signature</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Signature of Dean</td>
+    </tr>
+    </table>        
+    <br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_1">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 1/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_3">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 3/3"
+             name="submit" />
+    </form>    
+
+    
+    </span>
+    
+  </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1331)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1331)
@@ -0,0 +1,129 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>                
+    <span tal:condition="python: info['payed']">                 
+
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
+    <br />
+    
+    <strong>SECTION C:</strong>	To be completed by the Dean of the Proposed Faculty/School in consultation with the Head of Department Concerned (if applicable).
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    
+    
+    <tr><td width="10px" valign="top">15.</td><td valign="top">
+         Are you willing to accept this student? &nbsp;&nbsp;&nbsp; YES / NO</td></tr>       
+    <tr><td width="10px" valign="top">16.</td><td valign="top">
+                   If YES, state</td></tr>       
+    <tr><td width="10px" valign="top">&nbsp;</td><td>
+        <table width=100% border=0>
+              <tr>
+               <td valign="top" width="100px">
+                 a) Department:
+               </td>
+               <td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black"> &nbsp;</td>
+              </tr>
+              <tr>
+               <td valign="top" width="100px">
+                 b) Level:
+               </td>
+               <td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black"> &nbsp;</td>
+              </tr>
+              <tr>
+               <td valign="top" width="100px">
+                 c) Course:
+               </td>
+               <td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black"> &nbsp;</td>
+              </tr>                            
+        </table>  
+    </td></tr>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr>  
+    <tr><td width="10px" valign="top">17.</td><td valign="top">
+         Give reasons for accepting the student:</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>          
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">18.</td><td valign="top">
+         If NO, give reasons for not accepting the student:</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>        
+
+    </table>    
+    
+    <br /><br />
+
+    <table width=100% border=0>
+    <tr>
+    <td width=40%>Date:</td>
+    <td></td>
+    <td width=40%>Date:</td>
+    </tr>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Head of Department Signature (if applicable)</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Signature of Dean</td>
+    </tr>
+    </table>        
+
+    <br /><br />    
+    
+    <strong>SECTION D:</strong>	Decision(s) taken by the Central Committee
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>                       
+    </table>  
+
+    <br /><br /><br /><br />
+    <table width=100%>
+    <tr >
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Date</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Chairman's Signature</td>
+    </tr>
+    </table>   
+    <br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_1">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 1/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:${context/portal_url}/inter_faculty_transfer_2">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 2/3"
+             name="submit" />
+    </form>    
+
+    
+    </span>
+    
+  </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt	(revision 1328)
+++ WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt	(revision 1331)
@@ -1,29 +1,24 @@
-<tal:block define="rendered_main options/rendered;
-           portal_status_message options/psm;
-           payed options/payed|nothing;
-           edition python:1;"
-           >
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="creation creation|nothing;
-                   edition edition|nothing;
-                   metadata metadata|nothing"
-                   >
-      </metal:block>
-      <metal:block fill-slot="main">
-        <span tal:condition="rendered_main">
-          <h3>Request a Transfer!</h3>
+<metal:block use-macro="here/waeup_content_master/macros/master">
+    <metal:main fill-slot="main"
+                    tal:define="rendered_main options/rendered;
+                            portal_status_message options/psm;
+                            payed options/payed|nothing;">
+
+        <span tal:condition="payed">
+          <h3>Print Your Transfer Form!</h3>
           <br />
           <div tal:replace="structure rendered_main" />
-        </span>
-        <span tal:condition="payed">
-          <a href="intra_transfer">Request an Intra Faculty Transfer</a>
-          <a href="inter_transfer">Request an Inter Faculty Transfer</a>
+          <a target="slip" href="intra_faculty_transfer_1"
+              onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          Intra Faculty Transfer Form</a>
+          
+          <br />
+          <br />
+
+          
+          <a target="slip" href="inter_faculty_transfer_1"
+              onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+              Inter Faculty Transfer Form</a>
         </span>          
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
+    </metal:main>
+</metal:block>