Index: WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1333)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1334)
@@ -21,5 +21,4 @@
  <object name="pin_prefixes" meta_type="CPS Vocabulary"/>
  <object name="student_search_mode" meta_type="CPS Vocabulary"/>
- <object name="student_transfer_types" meta_type="CPS Vocabulary"/>
  <object name="scratch_card_search_mode" meta_type="CPS Vocabulary"/>
  <object name="student_status_voc" meta_type="CPS Vocabulary"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/student_transfer_types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/student_transfer_types.xml	(revision 1333)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<?xml version="1.0"?>
-<object name="transfer_types" meta_type="CPS Vocabulary">
-  <property name="title"></property>
-  <property name="title_msgid"></property>
-  <property name="description"></property>
-  <property name="acl_write_roles">Manager</property>
-  <item key="intra" msgid="">Intra Faculty Transfer</item>
-  <item key="inter" msgid="">Inter Faculty Transfer</item>
-</object>
Index: WAeUP_SRP/trunk/skins/waeup_student/getFromData_entry_mode.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getFromData_entry_mode.py	(revision 1333)
+++ 	(revision )
@@ -1,24 +1,0 @@
-## Script (Python) "get_entry_mode"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=sid
-##title=
-##
-# $Id$
-"""
-return entry_mode from application-object.
-"""
-students = context.portal_url.getPortalObject().campus.students
-student = getattr(students,sid,None)
-if student is None:
-    return None
-app = getattr(student,'application',None)
-if app is None:
-    return None
-em = app.getContent().entry_mode
-if em:
-    return em
-return "None"
Index: WAeUP_SRP/trunk/skins/waeup_student/reindex_entry_mode.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reindex_entry_mode.py	(revision 1333)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "reindex_entry_mode"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id$
-"""
-reindex students_catalog entry_mode index
-"""
-cat = context.students_catalog
-
-sbrains = cat()
-from Products.zdb import set_trace;set_trace()
-for sb in sbrains:
-    cat.modifyRecord(id = sb.id,
-                     entry_mode = context.getFromData_entry_mode(sb.id))
-
-
Index: WAeUP_SRP/trunk/skins/waeup_utilities/getFromData_entry_mode.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/getFromData_entry_mode.py	(revision 1334)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/getFromData_entry_mode.py	(revision 1334)
@@ -0,0 +1,24 @@
+## Script (Python) "get_entry_mode"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=sid
+##title=
+##
+# $Id: getFromData_entry_mode.py 1328 2007-01-19 18:16:32Z joachim $
+"""
+return entry_mode from application-object.
+"""
+students = context.portal_url.getPortalObject().campus.students
+student = getattr(students,sid,None)
+if student is None:
+    return None
+app = getattr(student,'application',None)
+if app is None:
+    return None
+em = app.getContent().entry_mode
+if em:
+    return em
+return "None"
Index: WAeUP_SRP/trunk/skins/waeup_utilities/reindex_entry_mode.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/reindex_entry_mode.py	(revision 1334)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/reindex_entry_mode.py	(revision 1334)
@@ -0,0 +1,22 @@
+## Script (Python) "reindex_entry_mode"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: reindex_entry_mode.py 1328 2007-01-19 18:16:32Z joachim $
+"""
+reindex students_catalog entry_mode index
+"""
+cat = context.students_catalog
+
+sbrains = cat()
+from Products.zdb import set_trace;set_trace()
+for sb in sbrains:
+    cat.modifyRecord(id = sb.id,
+                     entry_mode = context.getFromData_entry_mode(sb.id))
+
+