Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1335)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1336)
@@ -13,8 +13,10 @@
     <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
+    TO BE PRINTED IN TRIPLICATE AND SUBMITTED TO THE STUDENT'S PRESENT DEAN.
+    <br /><br />    
     <strong>NOTE:</strong> INTER-FACULTY TRANSFER IS A PRIVILEGE, AND NOT A RIGHT.
     STUDENTS WHO HAVE PREVIOUSLY TRANSFERRED FROM ANOTHER DEPARTMENT OR FACULTY/SCHOOL ARE NOT ELIGIBLE FOR TRANSFERS.
     <br /><br />
-    <strong>SECTION A:</strong>	TO BE COMPLETED BY STUDENT IN TRIPLICATE AND SUBMITTED TO THE STUDENT'S PRESENT DEAN.
+    <strong>SECTION A:</strong>	 TO BE COMPLETED BY STUDENT
     
     <br /><br />
@@ -26,6 +28,6 @@
     <tr><td>&nbsp;</td><td>Direct Entry (Indicate Grades):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr>
     <tr><td valign="top">3.</td><td>Matriculation No:</td><td valign="top" tal:content="info/student/matric_no" /></tr>
-    <tr><td valign="top">4.</td><td>a) Present Faculty/School:</td><td valign="bottom" tal:content="info/student/faculty" /></tr>
-    <tr><td>&nbsp;</td><td>b) Present Department (if applicable):</td><td valign="bottom" tal:content="info/student/department" /></tr>        
+    <tr><td valign="top">4.</td><td>Present Faculty/School:</td><td valign="bottom" tal:content="info/student/faculty" /></tr>
+    <tr><td>&nbsp;</td><td>Present Department (if applicable):</td><td valign="bottom" tal:content="info/student/department" /></tr>        
     <tr><td valign="top">5.</td><td>Present Level:</td><td valign="top" tal:content="info/student/level" /></tr> 
     <tr><td valign="top">6.</td><td valign="top">Courses Taken Last Session:</td>
@@ -34,5 +36,5 @@
     </tr> 
     <tr><td valign="top">7.</td><td>Proposed Faculty/School:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
-    <tr><td></td><td>Department:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td></td><td>Proposed Department (if applicable):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
     <tr><td valign="top">8.</td><td>Reason(s) for Transfer (Tick)</td><td></td></tr> 
     <tr><td></td><td>(a) Personal Wish:</td><td>( )</td></tr> 
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1336)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1336)
@@ -0,0 +1,77 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+              
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>       
+    <span tal:condition="python: info['payed']">   
+    <h3><center>INTER DEPARTMENTAL TRANSFER, 2006/2007 SESSION</center></h3>
+    <h3><center>- APPLICATION FORM -</center></h3>
+    <br />
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
+    <br />
+    
+    TO BE PRINTED IN TRIPLICATE AND SUBMITTED TO THE STUDENT'S DEAN.
+    <br /><br />
+    <strong>NOTE:</strong> INTER-DEPARTMENTAL TRANSFER IS A PRIVILEGE, 
+    NOT A RIGHT, STUDENTS WITHOUT GENUINE AND ACCEPTABLE REASONS OR WHO HAVE 
+    PREVIOUSLY TRANSFERRED FROM ANOTHER DEPARTMENT OR FACULTY/SCHOOL ARE NOT 
+    ELIGIBLE TO TRANSFER.
+    <br /><br />
+    <strong>SECTION A:</strong>	 TO BE COMPLETED BY STUDENT
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    <tr><td width="10px">1.</td><td width="240px">Name of Student:</td><td valign="top" tal:content="info/student/name" /></tr>
+    <tr><td valign="top">2.</td><td>Mode of Entry:</td><td valign="top" tal:content="info/student/entry_mode" /></tr>
+    <tr><td>&nbsp;</td><td>UME (Indicate Scores):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr>
+    <tr><td>&nbsp;</td><td>Direct Entry (Indicate Grades):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr>
+    <tr><td valign="top">3.</td><td>Matriculation No:</td><td valign="top" tal:content="info/student/matric_no" /></tr>
+    <tr><td valign="top">4.</td><td>Present Faculty/School:</td><td valign="bottom" tal:content="info/student/faculty" /></tr>
+    <tr><td>&nbsp;</td><td>Present Department (if applicable):</td><td valign="bottom" tal:content="info/student/department" /></tr>        
+    <tr><td valign="top">5.</td><td>Present Level:</td><td valign="top" tal:content="info/student/level" /></tr> 
+    <tr><td valign="top">6.</td><td valign="top">Courses Taken Last Session:</td>
+        <td> <span tal:repeat="course info/taken"> <span valign="top" tal:content="course/CosCode" />, </span>
+        </td>
+    </tr> 
+    <tr><td valign="top">7.</td><td>Proposed Faculty/School:</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td></td><td>Proposed Department (if applicable):</td><td style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">&nbsp;</td></tr> 
+    <tr><td valign="top">8.</td><td>Reason(s) for Transfer (Tick)</td><td></td></tr> 
+    <tr><td></td><td>(a) Personal Wish:</td><td>( )</td></tr> 
+    <tr><td></td><td width="210px">(b) Advised to Withdraw from Faculty/School:</td><td>( )</td></tr> 
+    <tr><td valign="top">9.</td><td width="210px">Have you previously transferred from any other Faculty/School or Department?</td><td valign="top">YES / NO</td></tr>                             
+    </table>
+    
+    <br /><br /><br /><br />
+    <table width=100%>
+    <tr >
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black"> Date</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Signature of Student</td>
+    </tr>
+    </table>    
+ 
+    <br /><br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_2">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 2/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_2">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 3/3"
+             name="submit" />
+    </form>        
+    </span>   
+    
+  </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1336)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1336)
@@ -0,0 +1,138 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>                
+    <span tal:condition="python: info['payed']">                 
+
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
+    <br />
+    
+    <strong>SECTION B:</strong>	To be completed by the Heads of Department concerned and the Dean.
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    
+    <tr><td width="10px" valign="top">10.</td><td valign="top">
+         a) Enter Marks and other records for last Session: 2003/2004. (Please seek the assistance of the Faculty Examinations Officer)</td></tr>
+         
+    <tr><td>&nbsp;</td>
+    <td valign="top">
+    
+          <table border=0 width="100%">
+            <tr>
+              <td>First Semester Results</td><td>Second Semester Results</td>
+            </tr>
+            <tr>
+              <td>
+              <span tal:repeat="course info/taken"> <div valign="top" tal:condition="python:course['Semester']=='1'"> <span tal:content="course/CosCode" />: <span tal:content="course/GRADE" /></div></span>
+              </td>
+              <td>
+              <span tal:repeat="course info/taken"> <div valign="top" tal:condition="python:course['Semester']=='2'"> <span tal:content="course/CosCode" />: <span tal:content="course/GRADE" /></div></span>
+              </td>
+            </tr>
+          </table>
+    </td>
+    </tr>
+   
+    <tr><td width="10px" valign="top"></td><td valign="top">
+         b) Was the student advised to withdraw from the Faculty/School:&nbsp;&nbsp;&nbsp; YES / NO</td></tr>   
+
+    </table>
+
+    <br />
+  
+   
+    <table border=0 width=100%>
+    
+    <tr><td width="10px" valign="top">11.</td><td valign="top">
+         Releasing Head of Department's comments:  (Head of Department is advised to make appropriate consultations in his department before completing this section):</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>          
+             
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">12.</td><td valign="top">
+         Proposal Head of Department's Comments: (Head of Department is advised to make appropriate consultations in the department before completing the section):</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>        
+          
+    </table>    
+    
+    <br /><br />
+
+    <table width=100% border=0>
+    <tr>
+    <td width=40%>Date:</td>
+    <td></td>
+    <td width=40%>Date:</td>
+    </tr>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Releasing Head of Department's Signature</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Proposal Head of Department's Signature</td>
+    </tr>
+    </table>   
+    
+    <table border=0 width=100%>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td width="10px" valign="top">13.</td><td valign="top">
+         Dean's Comments:</td></tr>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>    
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>        
+          
+    </table>    
+    
+    
+    <table width=100% border=0>
+    <tr><td>&nbsp;</td><td></td><td>&nbsp;</td></tr> 
+    <tr>
+    <td width=40%>Date:</td>
+    <td></td>
+    <td width=40%>&nbsp;</td>
+    </tr>
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr> 
+    <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
+    <tr>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Signature of Dean</td>
+    <td></td>
+    <td>&nbsp;</td>
+    </tr>    
+    </table>        
+    <br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_1">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 1/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_3">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 3/3"
+             name="submit" />
+    </form>        
+    </span>
+    
+  </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1336)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1336)
@@ -0,0 +1,58 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getTransferInfo">
+
+    <span tal:condition="python: not info or not info['payed']">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>                
+    <span tal:condition="python: info['payed']">                 
+
+    <center><font color="red"><span tal:content="info/pin"/></font></center>
+    <br />
+    
+
+    
+    <strong>SECTION D:</strong>	Decision(s) taken by the Central Committee
+    
+    <br /><br />
+    
+    <table border=0 width=100%>
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>     
+    <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">
+         &nbsp;</td></tr>                       
+    </table>  
+
+    <br /><br /><br /><br />
+    <table width=100%>
+    <tr >
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Date</td>
+    <td></td>
+    <td width=40% style="border-top-style:dotted; border-top-width:1px; border-top-color:black">Chairman's Signature</td>
+    </tr>
+    </table>   
+    <br /><br />
+    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_1">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 1/3"
+             name="submit" />
+    </form>    
+    <form action="" method="post"
+          tal:attributes="action string:intra_faculty_transfer_2">
+      <input type="submit" 
+             class="standalone" 
+             value="Page 2/3"
+             name="submit" />
+    </form>    
+
+    
+    </span>
+    
+  </metal:main>
+</metal:body>
+