Index: WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt	(revision 1351)
+++ 	(revision )
@@ -1,156 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <form name="Form1" method="post" 
-            action="http://www.wemaonlinepayments.biz/payment.aspx" 
-            id="Form1">
-          <table>
-            <tr>
-            <td >Site ID</td>
-            <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
-            <td><input name="x_SiteID" 
-                       type="text" 
-                       id="x_SiteID" 
-                       size="33" 
-                       value="8000" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Item Code</td>
-            <td >
-              e.g&nbsp;Code that represents what the student is paying for: eg. 001, 078
-            </td>
-            <td>
-              <input name="x_PaymentCode" 
-                     type="text" 
-                     id="x_PaymentCode" 
-                     value="001" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Desc</td>
-            <td >A description of what the student is paying for.&nbsp; Eg 
-            School Fees</td>
-            <td>
-              <input name="x_PayDesc" 
-                     type="text" 
-                     id="x_PayDesc"
-                     value="School Fees for 2006/2007 Session" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td>Bill To</td>
-            <td>
-              &nbsp;Address of the payer.&nbsp; Required for e-commerce application. 
-              Student name can be here for school payment 
-            purposes
-            </td>
-            <td>
-              <input name="x_Billto" 
-                     type="text" 
-                     id="x_Billto" 
-                     value="John Pedro" />
-            </td>
-          </tr>
-          <tr>
-            <td >Ship To</td>
-            <td >Address where goods will be shipped to.&nbsp; Required for 
-              e-commerce application. School Name&nbsp;can be here for school payment 
-            purposes</td>
-            <td>
-              <input name="x_Shipto" type="text" 
-                     id="x_Shipto" 
-                     value="Recipient Address" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers ID</td>
-            <td >&nbsp;eg. Matric number of the student</td>
-            <td>
-              <input name="x_PayerID" 
-                     type="text" 
-                     id="x_PayerID" 
-                     value="CS960307087 " 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers Name</td>
-            <td >&nbsp;name of the student</td>
-            <td><input name="x_PayerNames" 
-                       type="text" 
-                       id="x_PayerNames" 
-                       value="John Pedro" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Payer e-mail</td>
-            <td >&nbsp;email address of the student</td>
-            <td>
-              <input name="x_PayerEmail" 
-                     type="text" id="x_PayerEmail" 
-                     value="abc@yahoo.co.uk" /></td>
-          </tr>
-          <tr>
-            <td >Order ID</td>
-            <td >&nbsp;this is a unique number for the transaction.&nbsp; 
-            Typically, this can be INVOICE NUMBER, and must be unique per payment</td>
-            <td><input name="x_OrderID" 
-                       type="text" 
-                       id="x_OrderID" 
-                       value="85741253" />
-            </td>
-          </tr>
-          <tr>
-            <td >Amount
-            </td>
-            <td >&nbsp;Amount to be paid.&nbsp; Must NOT be formatted with 
-            comma</td>
-            <td><input name="x_amt" 
-                       type="text" 
-                       id="x_amt" 
-                       value="7500" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Currency Code</td>
-            <td >&nbsp;only Nigeria Naira is supported now.&nbsp; use 566 
-            as the currency code</td>
-            <td>
-              <input name="x_CurrencyID" 
-                     type="text" 
-                     id="x_CurrencyID" 
-                     value="566" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Site Redirect Url</td>
-            <td >&nbsp;URL within your portal where response will be 
-            directed to</td>
-            <td>
-              <input name="x_Redirect_url" 
-                     type="text" 
-                     id="x_Redirect_url" 
-                     value="http://uniben.waeup.org/callback" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td ></td>
-            <td ></td>
-            <td>
-              <input type="submit" name="btnPostPopup" 
-                     value="Submit" 
-                     />
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt_not_used	(revision 1352)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt_not_used	(revision 1352)
@@ -0,0 +1,156 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <form name="Form1" method="post" 
+            action="http://www.wemaonlinepayments.biz/payment.aspx" 
+            id="Form1">
+          <table>
+            <tr>
+            <td >Site ID</td>
+            <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
+            <td><input name="x_SiteID" 
+                       type="text" 
+                       id="x_SiteID" 
+                       size="33" 
+                       value="8000" />
+            </td>
+          </tr>
+          <tr>
+            <td >Payment Item Code</td>
+            <td >
+              e.g&nbsp;Code that represents what the student is paying for: eg. 001, 078
+            </td>
+            <td>
+              <input name="x_PaymentCode" 
+                     type="text" 
+                     id="x_PaymentCode" 
+                     value="001" />
+            </td>
+          </tr>
+          <tr>
+            <td >Payment Desc</td>
+            <td >A description of what the student is paying for.&nbsp; Eg 
+            School Fees</td>
+            <td>
+              <input name="x_PayDesc" 
+                     type="text" 
+                     id="x_PayDesc"
+                     value="School Fees for 2006/2007 Session" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td>Bill To</td>
+            <td>
+              &nbsp;Address of the payer.&nbsp; Required for e-commerce application. 
+              Student name can be here for school payment 
+            purposes
+            </td>
+            <td>
+              <input name="x_Billto" 
+                     type="text" 
+                     id="x_Billto" 
+                     value="John Pedro" />
+            </td>
+          </tr>
+          <tr>
+            <td >Ship To</td>
+            <td >Address where goods will be shipped to.&nbsp; Required for 
+              e-commerce application. School Name&nbsp;can be here for school payment 
+            purposes</td>
+            <td>
+              <input name="x_Shipto" type="text" 
+                     id="x_Shipto" 
+                     value="Recipient Address" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Payers ID</td>
+            <td >&nbsp;eg. Matric number of the student</td>
+            <td>
+              <input name="x_PayerID" 
+                     type="text" 
+                     id="x_PayerID" 
+                     value="CS960307087 " 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Payers Name</td>
+            <td >&nbsp;name of the student</td>
+            <td><input name="x_PayerNames" 
+                       type="text" 
+                       id="x_PayerNames" 
+                       value="John Pedro" 
+                       />
+            </td>
+          </tr>
+          <tr>
+            <td >Payer e-mail</td>
+            <td >&nbsp;email address of the student</td>
+            <td>
+              <input name="x_PayerEmail" 
+                     type="text" id="x_PayerEmail" 
+                     value="abc@yahoo.co.uk" /></td>
+          </tr>
+          <tr>
+            <td >Order ID</td>
+            <td >&nbsp;this is a unique number for the transaction.&nbsp; 
+            Typically, this can be INVOICE NUMBER, and must be unique per payment</td>
+            <td><input name="x_OrderID" 
+                       type="text" 
+                       id="x_OrderID" 
+                       value="85741253" />
+            </td>
+          </tr>
+          <tr>
+            <td >Amount
+            </td>
+            <td >&nbsp;Amount to be paid.&nbsp; Must NOT be formatted with 
+            comma</td>
+            <td><input name="x_amt" 
+                       type="text" 
+                       id="x_amt" 
+                       value="7500" 
+                       />
+            </td>
+          </tr>
+          <tr>
+            <td >Currency Code</td>
+            <td >&nbsp;only Nigeria Naira is supported now.&nbsp; use 566 
+            as the currency code</td>
+            <td>
+              <input name="x_CurrencyID" 
+                     type="text" 
+                     id="x_CurrencyID" 
+                     value="566" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Site Redirect Url</td>
+            <td >&nbsp;URL within your portal where response will be 
+            directed to</td>
+            <td>
+              <input name="x_Redirect_url" 
+                     type="text" 
+                     id="x_Redirect_url" 
+                     value="http://uniben.waeup.org/callback" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td ></td>
+            <td ></td>
+            <td>
+              <input type="submit" name="btnPostPopup" 
+                     value="Submit" 
+                     />
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_utilities/unpay.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/unpay.py	(revision 1352)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/unpay.py	(revision 1352)
@@ -0,0 +1,31 @@
+## Script (Python) "unpay"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: epayment_cb.py 1348 2007-01-25 17:06:21Z henrik $
+"""
+payment callback
+"""
+import logging
+logger = logging.getLogger('EPayment.Unpay')
+import DateTime
+
+request = context.REQUEST
+students = context.portal_url.getPortalObject().campus.students
+wftool = context.portal_workflow
+student_id = context.getStudentId()
+if student_id is None:
+    return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+
+student = getattr(students,student_id)
+
+#wftool.doActionFor(student,'return')
+wftool.doActionFor(student,'clear_and_validate')
+logger.info('"%s", "reset to state returning"' % student_id)
+
+return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())