Index: /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1360)
@@ -4,5 +4,5 @@
 
               
-    <span tal:condition="python: not info or not info['paid']">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>       
Index: /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1360)
@@ -3,16 +3,12 @@
               tal:define="info context/getTransferInfo">
 
-    <span tal:condition="python: not info or not info['paid']">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>                
-    <span tal:condition="python: info['paid']">                 
-
+    <span tal:condition="info/paid|nothing">                 
     <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
-    
     <strong>SECTION B:</strong>	To be completed by the Dean of the Present Faculty/School in Consultation with the Head of Department (if applicable).
-    
     <br /><br />
-    
     <table border=0 width=100%>
     
Index: /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1360)
@@ -3,16 +3,12 @@
               tal:define="info context/getTransferInfo">
 
-    <span tal:condition="python: not info or not info['paid']">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>                
-    <span tal:condition="python: info['paid']">                 
-
+    <span tal:condition="info/paid|nothing">                 
     <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
-    
     <strong>SECTION C:</strong>	To be completed by the Dean of the Proposed Faculty/School in consultation with the Head of Department Concerned (if applicable).
-    
     <br /><br />
-    
     <table border=0 width=100%>
     
Index: /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1360)
@@ -4,5 +4,5 @@
 
               
-    <span tal:condition="python: not info or not info.get('paid',None)">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>       
Index: /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1360)
@@ -3,16 +3,12 @@
               tal:define="info context/getTransferInfo">
 
-    <span tal:condition="python: not info or not info['paid']">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>                
-    <span tal:condition="python: info['paid']">                 
-
+    <span tal:condition="info/paid|nothing">                 
     <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
-    
     <strong>SECTION B:</strong>	To be completed by the Heads of Department concerned and the Dean.
-    
     <br /><br />
-    
     <table border=0 width=100%>
     
Index: /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1359)
+++ /WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1360)
@@ -3,18 +3,12 @@
               tal:define="info context/getTransferInfo">
 
-    <span tal:condition="python: not info or not info['paid']">
+    <span tal:condition="python: not info or not info.get('paid',False)">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>                
-    <span tal:condition="python: info['paid']">                 
-
+    <span tal:condition="info/paid|nothing">                
     <center><font color="red"><span tal:content="info/pin"/></font></center>
     <br />
-    
-
-    
     <strong>SECTION D:</strong>	Decision(s) taken by the Central Committee
-    
     <br /><br />
-    
     <table border=0 width=100%>
     <tr><td width="10px" valign="top"></td><td valign="top" style="border-bottom-style:dotted; border-bottom-width:1px; border-bottom-color:black">