Index: WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt	(revision 1362)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt	(revision 1362)
@@ -0,0 +1,48 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info options/info">
+                
+        <h3>Authorize Online Payment! </h3>
+        <br />
+                
+      <form method="post" action="pay_online"
+            tal:attributes="action info/action ">
+      <span tal:repeat="arg python:info['args'].items()"
+            tal:omit-tag="">
+          <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
+      </span>          
+        <table>
+          <tr>
+            <td width="100px">
+            Payment:</td>
+            <td tal:content="info/type_description"></td>
+          </tr>
+          <tr>
+            <td>
+            Name:
+            </td>
+            <td tal:content="info/pay_bill_to" />
+          </tr>
+          <tr>
+            <td >
+            Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          <tr>
+            <td >
+            Bank:
+            </td>
+            <td>Wema Bank</td>
+          </tr>          
+        </table>
+        <br />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Proceed to Bank" 
+               />
+      </form>
+    </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1360)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1362)
@@ -21,5 +21,5 @@
 
 student_id = context.getStudentId()
-student = getattr(students,student_id)	
+student = getattr(students,student_id)  
 
 sbrain = context.students_catalog(id=student_id)[0]
@@ -50,4 +50,5 @@
 p_id = "p%s" % order_id
 
+#from Products.zdb import set_trace;set_trace()
 if student_id is None:
     return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -57,6 +58,7 @@
     info['action'] = "http://www.wemaonlinepayments.biz/payment.aspx"
 else:
-    return None
-    #info['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),p_id)  
+    #pass
+    #return None
+    info['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),p_id)  
 
 
@@ -102,4 +104,6 @@
 for arg,field in payment_fields:
     args[arg] = info[field]
+info['args'] = args
+return context.goto_wema_form(info=info)
 url = info['action'] + "?" + urlencode(args)
 request.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1360)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1362)
@@ -12,5 +12,5 @@
 
 args = {}
-args['x_RespDesc'] = 'Approved Successful'
+args['x_RespDesc'] = 'Simulated'
 args['x_RespPayRef'] = 'GTB|WEB|ISW|7-01-2007|000579'
 args['x_RespCode'] = '00'
Index: WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1360)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1362)
@@ -3,5 +3,5 @@
                 tal:define="info options/info">
                 
-        <h3>Authorize Online Payment! </h3>
+        <h3>Confirm Your Payment Data! </h3>
         <br />
                 
@@ -36,5 +36,5 @@
                class="standalone" 
                name="goto_bank" 
-               value="Start" 
+               value="Confirm" 
                />
 