Index: WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1369)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1369)
@@ -0,0 +1,97 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getStudentBaseInfo;
+                            info_doc context/getDocumentInfo">
+      <span tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </span>
+      <span tal:condition="info">
+      
+        <metal:block tal:condition="python:info_doc['doc'].resp_code=='00'">            
+        <h3>Online Payment Receipt</h3>
+        <br />
+        <table tal:define="student info/student">
+        <tr>
+          <td width="220px">Name:</td> 
+          <td><span tal:content="student/name" /></td>
+        </tr>
+        <tr>
+          <td>Student Id:</td>
+          <td tal:content="student/id" />
+        </tr>        
+        <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>           
+        <tr>
+          <td>JAMB Registration Number:</td>
+          <td tal:content="student/jamb_reg_no" />
+        </tr>           
+        <tr>
+          <td>Certificate Id:</td>
+          <td tal:content="student/course" />
+        </tr>
+        <tr>
+          <td>Faculty:</td>
+          <td tal:content="student/faculty" />
+        </tr>        
+        <tr>
+          <td>Department:</td>
+          <td tal:content="student/department" />
+        </tr>        
+        </table>                 
+        <span tal:omit-tag=""
+              tal:content="structure python: info_doc['doc'].render(layout_mode='view')" 
+              />
+        </metal:block>
+
+  
+
+        <metal:block tal:condition="python:not info_doc['doc'].resp_code">            
+        <h3>Scratch Card Payment Receipt</h3>
+        <br />
+        <table tal:define="student info/student">
+        <tr>
+          <td width="220px">Name:</td> 
+          <td><span tal:content="student/name" /></td>
+        </tr>
+        <tr>
+          <td>Student Id:</td>
+          <td tal:content="student/id" />
+        </tr>        
+        <tr>
+          <td>JAMB Registration Number:</td>
+          <td tal:content="student/jamb_reg_no" />
+        </tr>           
+        <tr>
+          <td>Certificate Id:</td>
+          <td tal:content="student/course" />
+        </tr>
+        <tr>
+          <td>Faculty:</td>
+          <td tal:content="student/faculty" />
+        </tr>        
+        <tr>
+          <td>Department:</td>
+          <td tal:content="student/department" />
+        </tr>             
+        </table>                 
+        <table tal:define="pm python:info_doc['doc']">
+        <tr>
+          <td width="220px">Payment Description:</td> 
+          <td><span tal:content="pm/type_description" /></td>
+        </tr>          
+        <tr>
+          <td width="220px">Transaction Date:</td> 
+          <td><span tal:content="python:pm.date.ISO()" /></td>
+        </tr>                   
+        </table>
+        </metal:block>
+
+
+
+
+
+      </span>
+    </metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py	(revision 1369)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py	(revision 1369)
@@ -0,0 +1,51 @@
+## Script (Python) "getStudentBaseInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getTransferInfo.py 1339 2007-01-21 22:55:34Z henrik $
+"""
+return Info about the current Student
+"""
+import logging
+logger = logging.getLogger('Student.Base.Info')
+from DateTime import DateTime
+
+request = context.REQUEST
+mtool = context.portal_membership
+wf = context.portal_workflow
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
+
+if mtool.isAnonymousUser():
+    return None
+info = {}
+#from Products.zdb import set_trace
+#set_trace()
+requested_id = context.getStudentId()
+if requested_id and not context.isStaff() and member_id != requested_id:
+    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    return None
+elif context.isStaff():
+    student_id = requested_id
+else:
+    student_id = member_id
+
+
+#students_object = context.portal_url.getPortalObject().campus.students
+#student = getattr(students_object,student_id)
+
+res = context.students_catalog(id = student_id)
+if len(res) != 1:
+    return None
+sbrain = res[0]
+info['id'] = student_id
+info['student'] = context.getFormattedStudentEntry(sbrain)
+#info['entry_mode'] = sbrain.entry_mode
+
+
+return info
Index: WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1368)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1369)
@@ -9,5 +9,5 @@
     
       <span tal:condition="info">
-      <h3>Mail Authentification Data</h3>
+      <h3>Send Mail to Student!</h3>
       <br />
 