Index: /WAeUP_SRP/trunk/skins/waeup_epayment/fixScratchCardPayments.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/fixScratchCardPayments.py	(revision 1370)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/fixScratchCardPayments.py	(revision 1371)
@@ -1,3 +1,3 @@
-## Script (Python) "search_pins"
+## Script (Python) "fixScratchCardPayments"
 ##bind container=container
 ##bind context=context
@@ -26,12 +26,18 @@
 payments = context.portal_catalog(portal_type='Payment')
 d = {}
+list = []
 d['resp_code'] = "SC"
-d['resp_desc'] = "Scratchcard Payment"
-list = []
+d['resp_desc'] = "SC Payment Successful"
 for brain in payments:
     payment = brain.getObject()
     pay_doc = payment.getContent()
     if pay_doc.type_description.startswith('School Fee SC'):
+        d['type_description'] = 'School Fee for Session 2006/2007'
         pay_doc.edit(mapping=d)
         list.append('%s changed' % pay_doc.type_description)
+    elif pay_doc.type_description.startswith('Transfer Form SC'):
+        d['type_description'] = 'Transfer Form for Session 2006/2007'
+        d['type_code'] = pay_doc.type_code.replace('transfer_','')
+        pay_doc.edit(mapping=d)
+        list.append('%s changed' % pay_doc.type_description)    
 return '\n'.join(list)
Index: eUP_SRP/trunk/skins/waeup_epayment/online_payment.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt_not_used	(revision 1370)
+++ 	(revision )
@@ -1,156 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <form name="Form1" method="post" 
-            action="http://www.wemaonlinepayments.biz/payment.aspx" 
-            id="Form1">
-          <table>
-            <tr>
-            <td >Site ID</td>
-            <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
-            <td><input name="x_SiteID" 
-                       type="text" 
-                       id="x_SiteID" 
-                       size="33" 
-                       value="8000" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Item Code</td>
-            <td >
-              e.g&nbsp;Code that represents what the student is paying for: eg. 001, 078
-            </td>
-            <td>
-              <input name="x_PaymentCode" 
-                     type="text" 
-                     id="x_PaymentCode" 
-                     value="001" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Desc</td>
-            <td >A description of what the student is paying for.&nbsp; Eg 
-            School Fees</td>
-            <td>
-              <input name="x_PayDesc" 
-                     type="text" 
-                     id="x_PayDesc"
-                     value="School Fees for 2006/2007 Session" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td>Bill To</td>
-            <td>
-              &nbsp;Address of the payer.&nbsp; Required for e-commerce application. 
-              Student name can be here for school payment 
-            purposes
-            </td>
-            <td>
-              <input name="x_Billto" 
-                     type="text" 
-                     id="x_Billto" 
-                     value="John Pedro" />
-            </td>
-          </tr>
-          <tr>
-            <td >Ship To</td>
-            <td >Address where goods will be shipped to.&nbsp; Required for 
-              e-commerce application. School Name&nbsp;can be here for school payment 
-            purposes</td>
-            <td>
-              <input name="x_Shipto" type="text" 
-                     id="x_Shipto" 
-                     value="Recipient Address" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers ID</td>
-            <td >&nbsp;eg. Matric number of the student</td>
-            <td>
-              <input name="x_PayerID" 
-                     type="text" 
-                     id="x_PayerID" 
-                     value="CS960307087 " 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers Name</td>
-            <td >&nbsp;name of the student</td>
-            <td><input name="x_PayerNames" 
-                       type="text" 
-                       id="x_PayerNames" 
-                       value="John Pedro" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Payer e-mail</td>
-            <td >&nbsp;email address of the student</td>
-            <td>
-              <input name="x_PayerEmail" 
-                     type="text" id="x_PayerEmail" 
-                     value="abc@yahoo.co.uk" /></td>
-          </tr>
-          <tr>
-            <td >Order ID</td>
-            <td >&nbsp;this is a unique number for the transaction.&nbsp; 
-            Typically, this can be INVOICE NUMBER, and must be unique per payment</td>
-            <td><input name="x_OrderID" 
-                       type="text" 
-                       id="x_OrderID" 
-                       value="85741253" />
-            </td>
-          </tr>
-          <tr>
-            <td >Amount
-            </td>
-            <td >&nbsp;Amount to be paid.&nbsp; Must NOT be formatted with 
-            comma</td>
-            <td><input name="x_amt" 
-                       type="text" 
-                       id="x_amt" 
-                       value="7500" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Currency Code</td>
-            <td >&nbsp;only Nigeria Naira is supported now.&nbsp; use 566 
-            as the currency code</td>
-            <td>
-              <input name="x_CurrencyID" 
-                     type="text" 
-                     id="x_CurrencyID" 
-                     value="566" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Site Redirect Url</td>
-            <td >&nbsp;URL within your portal where response will be 
-            directed to</td>
-            <td>
-              <input name="x_Redirect_url" 
-                     type="text" 
-                     id="x_Redirect_url" 
-                     value="http://uniben.waeup.org/callback" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td ></td>
-            <td ></td>
-            <td>
-              <input type="submit" name="btnPostPopup" 
-                     value="Submit" 
-                     />
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1370)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1371)
@@ -74,7 +74,7 @@
 pin = info['order_id'] = ds.get('pin')
 info['type_code'] = "%s" % pin
-info['type_description'] = 'School Fee SC %s' % pin
+info['type_description'] = 'School Fee for Session 2006/2007'
 info['resp_code'] = "SC"
-info['resp_desc'] = "Scratchcard Payment"
+info['resp_desc'] = "SC Payment Successful"
 payments.invokeFactory('Payment', p_id)
 payment = getattr(payments,p_id)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1370)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1371)
@@ -48,5 +48,5 @@
   
 
-        <metal:block tal:condition="python:not info_doc['doc'].resp_code">            
+        <metal:block tal:condition="python:info_doc['doc'].resp_code=='SC'">            
         <h3>Scratch Card Payment Receipt</h3>
         <br />
@@ -79,15 +79,30 @@
         <table tal:define="pm python:info_doc['doc']">
         <tr>
+          <td width="220px">Access Code:</td> 
+          <td><span tal:content="pm/type_code" /></td>
+        </tr>     
+        <tr>
           <td width="220px">Payment Description:</td> 
           <td><span tal:content="pm/type_description" /></td>
-        </tr>          
-        <tr>
+        </tr>
+        <tr>        
           <td width="220px">Transaction Date:</td> 
           <td><span tal:content="python:pm.date.ISO()" /></td>
-        </tr>                   
+        </tr>       
+        <tr>
+          <td width="220px">Response Code:</td> 
+          <td><span tal:content="pm/resp_code" /></td>
+        </tr>         
+        <tr>
+          <td width="220px">Response Description:</td> 
+          <td><span tal:content="pm/resp_desc" /></td>
+        </tr>              
         </table>
         </metal:block>
 
-
+        <metal:block tal:condition="python:not info_doc['doc'].resp_code">            
+        <h3>Payment Process Interrupted!</h3>
+        <br />        
+        </metal:block>
 
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1370)
+++ /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1371)
@@ -99,5 +99,7 @@
 pin = info['order_id'] = ds.get('pin')
 info['type_code'] = "transfer_%s" % pin
-info['type_description'] = 'Transfer Form SC %s' % pin
+info['type_description'] = 'Transfer Form for Session 2006/2007'
+info['resp_code'] = "SC"
+info['resp_desc'] = "SC Payment Successful"
 payments.invokeFactory('Payment', p_id)
 payment = getattr(payments,p_id)