Index: eUP_SRP/trunk/skins/waeup_epayment/fixScratchCardPayments.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/fixScratchCardPayments.py	(revision 1371)
+++ 	(revision )
@@ -1,43 +1,0 @@
-## Script (Python) "fixScratchCardPayments"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST
-##title=
-##
-# $Id$
-"""
-list Students for ClearanceOfficers
-"""
-
-request = REQUEST
-wftool = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRolesInContext(context)
-retcat = context.returning_import
-rcat = context.results_import
-scat = context.students_catalog
-from Products.AdvancedQuery import Eq, Between, Le,In
-aq_students = context.students_catalog.evalAdvancedQuery
-students = context.portal_url.getPortalObject().campus.students
-payments = context.portal_catalog(portal_type='Payment')
-d = {}
-list = []
-d['resp_code'] = "SC"
-d['resp_desc'] = "SC Payment Successful"
-for brain in payments:
-    payment = brain.getObject()
-    pay_doc = payment.getContent()
-    if pay_doc.type_description.startswith('School Fee SC'):
-        d['type_description'] = 'School Fee for Session 2006/2007'
-        pay_doc.edit(mapping=d)
-        list.append('%s changed' % pay_doc.type_description)
-    elif pay_doc.type_description.startswith('Transfer Form SC'):
-        d['type_description'] = 'Transfer Form for Session 2006/2007'
-        d['type_code'] = pay_doc.type_code.replace('transfer_','')
-        pay_doc.edit(mapping=d)
-        list.append('%s changed' % pay_doc.type_description)    
-return '\n'.join(list)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1371)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1372)
@@ -20,8 +20,4 @@
           <td tal:content="student/id" />
         </tr>        
-        <tr>
-          <td>Matriculation Number:</td>
-          <td tal:content="student/matric_no" />
-        </tr>           
         <tr>
           <td>JAMB Registration Number:</td>
@@ -63,5 +59,9 @@
           <td>JAMB Registration Number:</td>
           <td tal:content="student/jamb_reg_no" />
-        </tr>           
+        </tr> 
+        <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>                   
         <tr>
           <td>Certificate Id:</td>
Index: /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py	(revision 1372)
+++ /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py	(revision 1372)
@@ -0,0 +1,43 @@
+## Script (Python) "fixScratchCardPayments"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST
+##title=
+##
+# $Id: fixScratchCardPayments.py 1371 2007-01-28 21:36:52Z henrik $
+"""
+list Students for ClearanceOfficers
+"""
+
+request = REQUEST
+wftool = context.portal_workflow
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+roles = member.getRolesInContext(context)
+retcat = context.returning_import
+rcat = context.results_import
+scat = context.students_catalog
+from Products.AdvancedQuery import Eq, Between, Le,In
+aq_students = context.students_catalog.evalAdvancedQuery
+students = context.portal_url.getPortalObject().campus.students
+payments = context.portal_catalog(portal_type='Payment')
+d = {}
+list = []
+d['resp_code'] = "SC"
+d['resp_desc'] = "SC Payment Successful"
+for brain in payments:
+    payment = brain.getObject()
+    pay_doc = payment.getContent()
+    if pay_doc.type_description.startswith('School Fee SC'):
+        d['type_description'] = 'School Fee for Session 2006/2007'
+        pay_doc.edit(mapping=d)
+        list.append('%s changed' % pay_doc.type_description)
+    elif pay_doc.type_description.startswith('Transfer Form SC'):
+        d['type_description'] = 'Transfer Form for Session 2006/2007'
+        d['type_code'] = pay_doc.type_code.replace('transfer_','')
+        pay_doc.edit(mapping=d)
+        list.append('%s changed' % pay_doc.type_description)    
+return '\n'.join(list)