Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt	(revision 1378)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt	(revision 1378)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+           portal_status_message options/psm;
+           data_storage options/ds;
+           edition python:1;"
+           >
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/content_lib_master/macros/master">
+      <metal:block fill-slot="header"
+                   tal:define="creation creation|nothing;
+                   edition edition|nothing;
+                   metadata metadata|nothing"
+                   >
+      </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Pay Your 2006/2007 School Fee by Scratch Card!</h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: eUP_SRP/trunk/skins/waeup_student/pay_by_sc_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pay_by_sc_form.pt	(revision 1377)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-           portal_status_message options/psm;
-           data_storage options/ds;
-           edition python:1;"
-           >
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="creation creation|nothing;
-                   edition edition|nothing;
-                   metadata metadata|nothing"
-                   >
-      </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Pay Your 2006/2007 School Fee by Scratch Card!</h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1377)
+++ /WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1378)
@@ -98,5 +98,5 @@
 info['amount'] = "n/a"
 pin = info['order_id'] = ds.get('pin')
-info['type_code'] = "transfer_%s" % pin
+info['type_code'] = "%s" % pin
 info['type_description'] = 'Transfer Form for Session 2006/2007'
 info['resp_code'] = "SC"
Index: /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py	(revision 1377)
+++ /WAeUP_SRP/trunk/skins/waeup_utilities/fixScratchCardPayments.py	(revision 1378)
@@ -29,16 +29,17 @@
 for brain in payments:
     d = {}
-    d['resp_code'] = "SC"
-    d['resp_desc'] = "SC Payment Successful"
+#    d['resp_code'] = "SC"
+#    d['resp_desc'] = "SC Payment Successful"
     payment = brain.getObject()
     pay_doc = payment.getContent()
-    if pay_doc.type_description.startswith('School Fee SC'):
-        d['type_description'] = 'School Fee for Session 2006/2007'
+#    if pay_doc.type_description.startswith('School Fee'):
+#        d['type_description'] = 'School Fee for Session 2006/2007'
+#        pay_doc.edit(mapping=d)
+#        list.append('%s changed' % pay_doc.type_description)
+    if pay_doc.type_code.startswith('transfer'):
+#        d['type_description'] = 'Transfer Form for Session 2006/2007'
+        old = pay_doc.type_code
+        d['type_code'] = old.replace('transfer_','')
         pay_doc.edit(mapping=d)
-        list.append('%s changed' % pay_doc.type_description)
-    elif pay_doc.type_description.startswith('Transfer Form SC'):
-        d['type_description'] = 'Transfer Form for Session 2006/2007'
-        d['type_code'] = pay_doc.type_code.replace('transfer_','')
-        pay_doc.edit(mapping=d)
-        list.append('%s changed' % pay_doc.type_description)
+        list.append('%s changed to %s' % (old,d['type_code']))
 return '\n'.join(list)